# Avoid problem without man and info
%define dont_compress	1

Name:			acme
Version:		0.9
Release:		%mkrel 4
Summary:		Letsencrypt perl client
License:		GPLv3+
Group:			Development/Perl
Url:			https://git.rapsys.eu/?p=%{name}
Source0:		%{name}-%{version}.tar.xz
BuildArch:		noarch
Requires:		php-json perl(LWP::Protocol::https)
Provides:		perl(Acme)

%description
This program allow you to configure, generate and automate
letsencrypt certificate generation.

%prep
%setup -q -n %{name}

%install
# Install directories
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{perl_vendorlib}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/%{_mandir}/man1

# Install php script
install -m644 www/acme-challenge.php %{buildroot}%{_datadir}/%{name}/

# Install perl library
install -m644 Acme.pm %{buildroot}%{perl_vendorlib}/Acme.pm

# Install binaries
install -m755 acmecert %{buildroot}%{_bindir}/
install -m755 acmeconf %{buildroot}%{_bindir}/
install -m755 acmecron %{buildroot}%{_bindir}/

# Touch fake man to avoid error with man and info compression
install -m644 acmecert.1 %{buildroot}/%{_mandir}/man1/
install -m644 acmeconf.1 %{buildroot}/%{_mandir}/man1/
install -m644 acmecron.1 %{buildroot}/%{_mandir}/man1/

# Touch thumbprint file
touch %{buildroot}/%{_sysconfdir}/%{name}/thumbprint

%files
# Apache configuration files
%doc www/example.com.conf www/acme.conf
%config %{_sysconfdir}/%{name}/thumbprint
%{_datadir}/%{name}/acme-challenge.php
%{perl_vendorlib}/Acme.pm
%{_bindir}/acmecert
%{_bindir}/acmeconf
%{_bindir}/acmecron
%{_mandir}/man1/acmecert.1
%{_mandir}/man1/acmeconf.1
%{_mandir}/man1/acmecron.1


%changelog
* Wed Jun 21 2017 akien <akien> 0.9-4.mga6
+ Revision: 1108113
- Rebuild in core/release

* Wed Jun 21 2017 rapsys <rapsys> 0.9-3.mga6
+ Revision: 1108103
- Switch to version 0.9 with old perl version fixes

* Thu Apr 06 2017 rapsys <rapsys> 0.7-1.mga6
+ Revision: 1096030
- imported package acme

